#
# spec file for package xbanish
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xbanish
Version:        0.0+git20140806.5c0aed7
Release:        bp153.1.16
Summary:        Banish the mouse cursor when typing, show it again when the mouse moves
License:        BSD-3-Clause
Group:          System/X11/Utilities
Url:            http://github.com/jcs/xbanish
Source:         xbanish-0.0+git20140806.5c0aed7.tar.xz
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xt)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
xbanish hides the mouse cursor when you start typing, and shows it again when
the mouse cursor moves or a mouse button is pressed.  This is similar to
xterm's pointerMode setting, but xbanish works globally in the X11 session.

unclutter's -keystroke mode is supposed to do this, but it's broken[0].  I
looked into fixing it, but the unclutter source code is terrible, so I wrote
xbanish in a few hours.

The name comes from ratpoison's "banish" command that sends the cursor to the
corner of the screen.

%prep
%setup -q

%build
export CFLAGS="%optflags"
make %{?_smp_mflags}

%install
# the makefile is utterly broken
install -m 755 -s -D xbanish %{buildroot}%{_bindir}/xbanish
install -m 644 -D xbanish.1 %{buildroot}%{_mandir}/man1/xbanish.1

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*

%changelog
* Tue Nov 28 2017 crrodriguez@opensuse.org
- Respect %%optflags
- Remove buildrequires on xorg-x11-devel metapackage.
* Thu May 28 2015 jkeil@suse.de
- Include files explicitely
* Wed May 27 2015 jkeil@suse.com
- Run spec-cleaner
* Wed May 27 2015 jkeil@suse.com
- Add source tarball and _service file
* Wed May 27 2015 jkeil@suse.com
- Initial package for xbanish
